#!/usr/bin/env bash
#bash script     : head.es 
#apps            : Base Functions Library
#description     : Translate Messages (es)
#author		     : MRP/mrp - Mauro Rosero P.
#company email   : mauro@rosero.one
#personal email  : mauro.rosero@gmail.com
#date            : 20240201
#version         : 1.0.2
#notes           :
#==============================================================================
#==============================================================================

head_000="AMBIENTE DE DESARROLLO"
head_002="(MRDEVS TOOLS)"
head_001="El comando 'dialog' no está instalado. Por favor, ejecute bin/bootstrap.sh."
head_installing="Instalando"
head_info="INFO"
head_warning="ADVERTENCIA"
head_error="ERROR"
head_unknow="UNKNOW"
head_version="Versión"
head_ubuntu="ubuntu"
head_confirm="(confirmar)"
head_os_error="Operación Cancelada. No se pudo determinar el sistema operativo."
head_op_error="Operación cancelada por el operador!"
head_pause="Presiona Enter para continuar..."
head_error_unknow="Operación Cancelada. Se produjo un error desconocido!"
head_fail="Fail"
head_exit="Finalizar"
head_create="Adicionar"
head_delete="Eliminar"
head_noproject="Esta carpeta no es un proyecto de desarrollo!"
head_noenv="Aún no se han configurado los parámetros del ambiente de desarrollo (.env)"
head_nobuild="No existe carpeta build para creación de contenedores"
head_nodockerfile="No existe el archivo de configuración Dockerfile"
head_nobuilded="No se pudo completar la construcción del contenedor"
head_builded="Construcción del contenedor completada!"
head_zip="Utilitario zip no ha sido instalado!"
head_key_end="999999END"
head_superuser="Super Usuario"
head_canceled="Cancelado"
head_container="Generando contenedor"
label_email="Correo Electrónico:"

vldt_001="no puede estar en blanco..."
vldt_002="Contraseña incorrecta! Intente nuevamente."
vldt_010="Dirección de correo electrónico es inválida!"
vldt_011="Duración de clave gpg inválida!"
vldt_012="No es un nombre de dominio DNS válido!"
vldt_013="Valor debe ser alguno de estos:"
vldt_014="Valor no está dentro del rango válido:"
os_update="Actualizando sistema operativo "
os_nofound="Sistemas operativos soportados: Ubuntu, Debian, Arch Linux, Fedora, Redhat, AlmaLinux, Rocky, Oracle Linux, FreeBSD, MacOS"

pkg_install_begin="Instalando paquete(s):"
pkg_install_success="Instalación satisfactoria de paquete(s):"

git_initialized="Repositorio git inicializado!"
git_notinitialized="Repositorio git no fue inicializado!"
git_setbranch="Rama git ha sido creada"
git_gitignored="Archivo .gitignore generado a partir de plantilla"
git_add_files="Archivos base del proyecto agregados!"
git_first_commited="[INIT] Proyecto inicializado"
git_end_commited="Todos los cambios al repositorio nuevo han sido aplicados!"
git_new_project_pushed="Proyecto ha sido creado/actualizado en repositorio remoto"

npm_001="El programa 'dialog' no está instalado. Por favor, instálalo e inténtalo nuevamente."
npm_002="No eres super usuario. Ingresa la contraseña para escalamiento:"
npm_003="Contraseña incorrecta o error al escalar privilegios."
npm_004="Este script instalará Node.js y npm de forma interactiva. Soporta Arch Linux, Debian/Ubuntu, Fedora, FreeBSD y macOS (Homebrew)."
npm_005_1="Se detectó el siguiente sistema:"
npm_005_2="¿Desea continuar con la instalación?"
npm_006="No se encontró un gestor de paquetes soportado."
npm_007="Sistema operativo no soportado:"
npm_008="Instalación cancelada por el usuario."
npm_009="Actualizando repositorios..."
npm_010="Repositorios actualizados."
npm_011="No se requiere actualización."
npm_012="Iniciando instalación de Node.js y npm..."
npm_013="Instalación en progreso..."
npm_014="Instalación completada."
npm_015="Instalación completada. Versiones instaladas: Node.js: [versión] npm: [versión]"
npm_016="Instalador de Node.js y npm"
npm_017="Confirmar Sistema"
npm_018="Instalación"
npm_019="Versiones instaladas:"
npm_020="No encontrado"
npm_021="Instalación Finalizada"
